Name:           gr-blocksat
Version:        1.0.0
Release:        1%{?dist}
Summary:        Blockstream Satellite GNU Radio OOT Module

License:        GPLv3
URL:            https://github.com/Blockstream/%{name}
Source0:        https://github.com/Blockstream/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      x86_64

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  swig
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  gnuradio
BuildRequires:  gnuradio-devel
BuildRequires:  cppunit-devel
Requires: gnuradio >= 3.7.10
Requires: python

%description

A GNU Radio out-of-tree (OOT) module containing the building blocks of the
Blockstream Satellite receiver. It features signal processing, monitoring, tools
and I/O blocks. Once installed, appears within GNU Radio Companion (GRC) under
"Blockstream" category.

This pacakage is a pre-requisite for the Blockstream Satellite receiver package.

%global debug_package %{nil}

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install
# Set the module's location in the Python path and the shared library path
mkdir -p %{buildroot}%{python2_sitearch}
echo "%{_prefix}/local/%{_lib}/python2.7/site-packages" > \
     %{buildroot}%{python2_sitearch}/%{name}.pth
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_prefix}/local/%{_lib}" > \
     %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%post
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/local/%{_lib}/python*
%{_prefix}/local/share/gnuradio*
%{_prefix}/local/%{_lib}/libgnuradio*.so.*
%{_prefix}/local/share/doc/%{name}/
%{python2_sitearch}/%{name}.pth
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%docdir %{_prefix}/local/share/doc/%{name}/

# Development package
%package devel
Summary:        Blockstream Satellite GNU Radio OOT Module - Development

%description devel
Header files for gr-blocksat, a GNU Radio out-of-tree (OOT) module containing
the building blocks of the Blockstream Satellite receiver.

%files devel
%defattr(-,root,root)
%{_prefix}/local/include
%{_prefix}/local/%{_lib}/*.so
%{_prefix}/local/%{_lib}/cmake/blocksat/blocksatConfig.cmake
